import java.lang.reflect.*;

   public class DumpMethods {
      public static void main(String args[])
      {
        if ( args.length >2 ) {
        System.err.println("Too many Arguments: " + args[1] + " " + args[2] +" etc.");
       System.exit(0);
        }

       if ( args.length <1 ) {
        System.err.println("Class Name Should be specified! "  );
       System.exit(0);
        }

         try {
            Class c = Class.forName(args[0]);
            Method m[] = c.getDeclaredMethods();

            for (int i = 0; i < m.length; i++)
            System.out.print(m[i].toString()+"|");

         }
         catch (Throwable e) {
            System.err.println(e);
         }
      }
   }
